Mike Valentine
Does your V1 have Junk-K Fighter?
Enter serial number
 
V1 Info
 

V1CONNECTION LE APPLE iOS COMPATIBILITY

In order to be compatible with V1connection LE, devices must have Apple iOS version 7.0 or higher, and will operate on the following devices:

  • iPhone 4S and up
  • iPad 3rd Generation and up
  • iPad mini
  • iPod touch 5th Generation and up